@import "@/styles/variables";

.main-layout {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: max-content auto;
    min-height: 100vh;
    margin: 0;
}

.main {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: max-content auto;
    align-items: center;
    padding-bottom: 2rem;
    margin-top: 0;

    @include smallscreen {
        margin-top: 3rem;
    }
}

.container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: max-content auto;
    row-gap: 4rem;
    padding: 0 $padding-sm 52px;
    max-width: 100%;

    @include notebook {
        max-width: $max-inner-width;
        grid-column: 2 / 12;
        grid-template-columns: repeat(10, 1fr);
        min-height: 100%;
        padding: 0;
    }

    @include desktop {
        margin: 0 auto;
        width: $max-inner-width;
    }
}
